Subject: Re: [ANNOUNCE] GIT 1.6.4-rc2

From: Mattias Nissler <[email-masked]>
Date: Sat, 25 Jul 2009 15:39:24 +0200

On Sat, 2009-07-25 at 03:38 -0700, Eric Wong wrote:
> Junio C Hamano <[email-masked]> wrote:
> > Eric Wong <[email-masked]> writes:
> > > Junio C Hamano <[email-masked]> wrote:
> > >>  * git-svn updates, including a new --authors-prog option to map author
> > >>    names by invoking an external program, 'git svn reset' to unwind
> > >>    'git svn fetch', support for more than one branches, etc.
> > >
> > > I completely forgot the implications of a change made in commit
> > > 0b2af457a49e3b00d47d556d5301934d27909db8.  This change probably doesn't
> > > affect a lot of repos out there, but --minimize-url is no longer the
> > > default for new imports.
> 
> > > Let me know if the above made sense, it's late and I nodded off
> > > several times while writing this.
> > 
> > Your description makes sense, and I suspect that the old default may be
> > easier to work with.
> 
> Yes.  I think the old default makes more sense, so I'll be reverting
> back to it.  However, I'll make it possible to override from the
> command-line.

Maybe we should rather try to detect whether we have read access to the
repository root and adjust behaviour accordingly? Or at least print a
warning when cloning restricted multi-branch repos, since this just
fails silently (doesn't pick up any branches) when you have minimize_url
enabled.

Mattias